#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = Widgets

PROJECTVERSION = 2.7
PROJECT_TYPE = Component
LANGUAGE = English

GLOBAL_RESOURCES = OACheck.tiff OALargeBarberPole.tiff\
                   OALargeGaugePole.tiff OALargeNoProgressPole.tiff\
                   OANoCheck.tiff OAPageDown.tiff OAPageDownAlt.tiff\
                   OAPageUp.tiff OAPageUpAlt.tiff OAPlusMinus.tiff\
                   OARegularBarberPole.tiff OARegularGaugePole.tiff\
                   OARegularNoProgressPole.tiff OASmallBarberPole.tiff\
                   OASmallGaugePole.tiff OASmallNoProgressPole.tiff

CLASSES = OABrowserCell.m OAColorPalette.m OAFontView.m\
          OAPlusTableView.m OAPopUpButton.m OAProgressView.m\
          OAScrollView.m OASecureTextField.m OAStatusDisplayer.m\
          OAStatusView.m OATabbedWindowController.m\
          OATabViewController.m OATextField.m OAThreadCheckingView.m\
          OAThumbnailView.m OATwoLayerWindow.m

HFILES = OABrowserCell.h OAColorPalette.h OAExtraWindowDrawingProtocol.h\
         OAFontView.h OAFontViewDelegateProtocol.h\
         OAPageSelectableDocumentProtocol.h OAPlusTableView.h\
         OAPopUpButton.h OAProgressView.h OAScrollView.h\
         OASecureTextField.h OAStatusDisplayer.h OAStatusView.h\
         OAStatusViewPositionProtocol.h OATabbedWindowController.h\
         OATabViewController.h OATextField.h OAThreadCheckingView.h\
         OAThumbnailView.h OATwoLayerWindow.h OAZoomableViewProtocol.h

OTHERSRCS = Makefile.preamble Makefile Makefile.postamble


MAKEFILEDIR = $(NEXT_ROOT)/NextDeveloper/Makefiles/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = subproj.make
NEXTSTEP_INSTALLDIR = $(OMNI_FRAMEWORKS)
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


PUBLIC_HEADERS = OABrowserCell.h OAColorPalette.h OAFontView.h\
                 OAPageSelectableDocumentProtocol.h OAPlusTableView.h\
                 OAProgressView.h OAScrollView.h OAStatusView.h\
                 OAThumbnailView.h OAThreadCheckingView.h\
                 OAZoomableViewProtocol.h OAFontViewDelegateProtocol.h\
                 OAStatusViewPositionProtocol.h OATwoLayerWindow.h\
                 OAExtraWindowDrawingProtocol.h OAStatusDisplayer.h\
                 OASecureTextField.h OATabViewController.h OATextField.h\
                 OAPopUpButton.h OATabbedWindowController.h

PROJECT_HEADERS = OAStatusViewPositionProtocol.h OATwoLayerWindow.h\
                  OAExtraWindowDrawingProtocol.h OAStatusDisplayer.h\
                  OATabViewController.h OATextField.h OAPopUpButton.h



NEXTSTEP_BUILD_OUTPUT_DIR = $(OMNI_BUILDOUTPUT)/Frameworks/$(NAME)

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies
